Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad.render
Class TextContentProvider

    java.lang.Object
      |
      +--com.bea.p13n.ad.render.TextContentProvider

public class TextContentProvider
extends java.lang.Object
implements AdContentProvider

A class that provides XHTML rendering for HTML content.

This just returns the body of the content in the default encoding.

Constructor Summary
`TextContentProvider()`

Method Summary
`java.lang.String` | `renderContent(Content c, long identifier, java.lang.String servletBase, int height, int width, int options)` Return the XHTML content for the specified content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextContentProvider

    public TextContentProvider()

Method Detail

### renderContent

    public java.lang.String renderContent(Content c,
                                          long identifier,
                                          java.lang.String servletBase,
                                          int height,
                                          int width,
                                          int options)
                                   throws AdContentException

  Return the XHTML content for the specified content.
  Specified by:
    renderContent in interface AdContentProvider

  Parameters:
    `content` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
    `option` - The options for the rendering

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved